OpenVDB 5.1.0

Public Member Functions | Public Attributes | List of all members
LevelSetTracker< GridT, InterruptT >::State Struct Reference

Lightweight struct that stores the state of the LevelSetTracker. More...

`#include <LevelSetTracker.h>`

## Public Member Functions
| State (math::BiasedGradientScheme s=math::HJWENO5_BIAS, math::TemporalIntegrationScheme t=math::TVD_RK1, int n=static_cast< int >(LEVEL_SET_HALF_WIDTH), int g=1)

## Public Attributes
math::BiasedGradientScheme | spatialScheme
math::TemporalIntegrationScheme | temporalScheme
int | normCount
int | grainSize

## Detailed Description

### template<typename GridT, typename InterruptT = util::NullInterrupter>
struct openvdb::v5_1::tools::LevelSetTracker< GridT, InterruptT >::State

Lightweight struct that stores the state of the LevelSetTracker.

## Constructor & Destructor Documentation

## ◆ State()

State | ( | math::BiasedGradientScheme | s = `math::HJWENO5_BIAS`,
|  | math::TemporalIntegrationScheme | t = `math::TVD_RK1`,
|  | int | n = `static_cast<int>(LEVEL_SET_HALF_WIDTH)`,
|  | int | g = `1`
| ) |  |
| inline

## Member Data Documentation

## ◆ grainSize

int grainSize

## ◆ normCount

int normCount

## ◆ spatialScheme

math::BiasedGradientScheme spatialScheme

## ◆ temporalScheme

math::TemporalIntegrationScheme temporalScheme

The documentation for this struct was generated from the following file:

- LevelSetTracker.h